Bug 836946 - Zanata should allow new Indic languages
Zanata should allow new Indic languages
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: 1.7
Assigned To: Sean Flanigan
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 05:51 EDT by Parag Nemade
Modified: 2012-09-12 23:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.7.0-alpha-2-SNAPSHOT (20120720-1208)
Doc Type: Enhancement
Doc Text:
Feature: Add support (including plural information) for Indic languages: doi Dogri डोगरी, hne Chhattisgarhi छत्तीसगढ़ी, mni Manipuri মনিপুরি, sat Santali संताली, sd Sindhi सिन्धी. Reason: This will enable the translation of content into these languages.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 01:11:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2012-07-02 05:51:48 EDT
Description of problem:
Some of the iok translation files didn't reach server as its found that they are totally new languages. Please add the following languages.

doi Dogri डोगरी
hne Chhattisgarhi छत्तीसगढ़ी
mni Manipuri মনিপুরি
sat Santali संताली
sd Sindhi सिन्धी


Version-Release number of selected component (if applicable):
current zanata server

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Runa Bhattacharjee 2012-07-02 08:34:47 EDT
What is the zanata version or server that we are looking at here? Thanks.
Comment 2 Parag Nemade 2012-07-02 09:53:27 EDT
zanata-python-client-1.3.5-1.fc17.noarch
zanata python client version: 1.3.5, zanata server API version: 1.5.0
Comment 3 Sean Flanigan 2012-07-03 01:35:56 EDT
We will need the plural rules for these languages.  We get our plural information here:  http://translate.sourceforge.net/wiki/l10n/pluralforms

Do you know where we can get Gettext plural rules for these languages?
Comment 4 Parag Nemade 2012-07-03 02:02:14 EDT
doi Dogri nplurals=2; plural=(n != 1) 
hne Chhattisgarhi nplurals=2; plural=(n != 1) 
mni Manipuri nplurals=2; plural=(n != 1) 
sat Santali nplurals=2; plural=(n != 1) 
sd Sindhi nplurals=2; plural=(n != 1) 

and for one more language 
brx Bodo nplurals=2; plural=(n != 1)
Comment 5 Sean Flanigan 2012-07-03 03:32:16 EDT
Thanks, we'll try to get the data in soon.  Would you please pass on the plural information to http://translate.sourceforge.net/wiki/l10n/pluralforms ?
Comment 7 Ding-Yi Chen 2012-07-19 22:01:15 EDT
Test with Zanata version 1.7-SNAPSHOT (20120720-0026):

Languages does not show in pulldown after typing the first 1 characters:
doi, hne, mni, sat, sd.


Moreover, for hne, Language Name is still the "hne".

REASSIGNED.
Comment 8 Sean Flanigan 2012-07-19 23:05:48 EDT
Not all locales show in the drop-down list on the Language Management page, but it might make a good RFE.

We get our language names from ICU4J, which apparently gets locale data from CLDR.  They mustn't have hne yet.  However, it should still work in Zanata for translation, joining the language team etc, it just won't have a name until it is added to ICU.
Comment 9 Sean Flanigan 2012-07-19 23:29:47 EDT
I've added the plural information to http://translate.sourceforge.net/wiki/l10n/pluralforms .
Comment 10 Ding-Yi Chen 2012-07-20 00:20:41 EDT
Parag, do you think we can close this bug at the present state: 
i.e. User can push pull, and use Web UI to translate, but no typing suggestion for admin to add the language.

Or you perfer we close the bug after everything is ready?
Comment 11 Parag Nemade 2012-07-20 00:42:37 EDT
Thanks Sean for committing this new language data.

dchen, you can close this bug. If above mentioned things are working.
Comment 12 Ding-Yi Chen 2012-07-20 01:10:05 EDT
VERIFIED with Zanata version 1.7.0-alpha-2-SNAPSHOT (20120720-1208)
Comment 13 Sean Flanigan 2012-07-20 01:21:38 EDT
I put in the RFE as bug 841735.

Note You need to log in before you can comment on or make changes to this bug.